#ifndef __KINGATE_PLAINCGI_H
#define __KINGATE_PLAINCGI_H

#include <iostream>
#include "kingate/cgi_interface.h"

/**
 * @file
 * @brief the "plain" cgi specific implementation.
 */

namespace kingate {

    /**
     * The implementation of the interface to the regular CGI.
     */
    class plaincgi_interface : public cgi_interface {
	public:

	    /**
	     */
	    plaincgi_interface();
	    virtual ~plaincgi_interface();

	    /**
	     * @overload cgi_interface::in()
	     */
	    istream& in() { return cin; }
	    /**
	     * @overload cgi_interface::out()
	     */
	    ostream& out() { return cout; }
	    /**
	     * @overload cgi_interface::out()
	     */
	    ostream& err() { return cerr; }
    };

}

#endif /* __KINGATE_PLAINCGI_H */
/*
 * vim:set ft=cpp:
 */
